# Install Cura Plugins

- Settings Guide
- Sidebar GUI
- Moonraker Connection
- Material Settings
- Power Cost
- Klipper Settings
- AutoTowers Generator
- Auto-Orientation
- Automatic Slicing Toggle
- Material Cost Tools
- Calibration Shapes

# Disable Cura Plugins

- USB Printing


# Loading Cura Printer Profiles

Cura loads printer quality configuration files in a stack.
The following files must be present in order for Cura to load a profile.

## Quality File

The file `quality/flsun_v400_global_<quality>_Quality.inst.cfg` defines some global properties for all nozzle sizes and
all materials. Linking global qualities to layer heights is a valid example, but not a must. Cura's intentions seems to
be centred on print speed.

`<quality>`  should be replaced with one of the values following values, at least one must be present.

- Superdraft (e.g. for layer height of `0.4mm`, or a speed of `600mm/s`)
- Verydraft (e.g. for a layer height of `0.3mm`, or a speed of `400mm/s`)
- Draft (e.g. for a layer height of `0.2mm`, or a speed of `300mm/s`)
- Fast (e.g. for a layer height of `0.15mm`, or a speed of `200mm/s`)
- Normal (e.g. for a layer height of `0.1mm`, or a speed of `150mm/s`)
- High (e.g. for a layer height of `0.06mm`, or a speed of `80mm/s`)

## Variant File

On top of the global quality file, there needs to be setting file for each variant:
`variants/flsun_v400_<variant>.inst.cfg`. The settings in these files are specific to the variant, but are independent
of all quality or material settings.

Variants can be whatever machine detail you want to choose. Commonly, this is the nozzle size.

## Specific Settings

The third layer of the stack is the quality, material, and variant specific settings in 
`quality/<material>/<variant>/flsun_v400_<variant>_<material>_<quality>_Quality.inst.cfg`.

## Intentions

Optionally, there can be even more modifications of settings in intent files. 
They are stored in the intents folder with the name intent
`<material>/flsun_v400_<variant>_<material>_<quality>_<intent>.inst.cfg`.

This file can modify settings that are only relevant for specific intents. Examples for intents are

- Dimensional accuracy
- Visual Quality
- Smooth Surface
- etc
